Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZSimpleTagsOperator Class Reference

## Public Member Functions
| __construct ( $name='simpletags')
| operatorList ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Operators

## Private Member Functions
| initializeIncludes ()

## Detailed Description

Definition at line 11 of file ezsimpletagsoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSimpleTagsOperator::__construct | ( |  | $name = `'simpletags'` | ) |

Constructor

Parameters

  string | $name |

Definition at line 18 of file ezsimpletagsoperator.php.

## Member Function Documentation

## ◆ initializeIncludes()

eZSimpleTagsOperator::initializeIncludes | ( |  | ) |
| private

Makes sure extra includes are loaded (include_once) so extra functions can be used.

Note
  This function will only run one time, if called multiple times it will simple return

Definition at line 47 of file ezsimpletagsoperator.php.

References eZExtension\expandedPathList().

Referenced by modify().

## ◆ modify()

eZSimpleTagsOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 72 of file ezsimpletagsoperator.php.

References initializeIncludes().

## ◆ namedParameterList()

eZSimpleTagsOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 34 of file ezsimpletagsoperator.php.

## ◆ operatorList()

eZSimpleTagsOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 26 of file ezsimpletagsoperator.php.

References $Operators.

## Member Data Documentation

## ◆ $Operators

eZSimpleTagsOperator::$Operators

Definition at line 207 of file ezsimpletagsoperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- ezsimpletagsoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.